Package com.arms.egovframework.javaservice.treeframework.model

## Class TreeBaseEntity

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.model.TreeBaseEntity

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `TreePaginatedEntity`

      @MappedSuperclass
      public abstract class TreeBaseEntity
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeBaseEntity()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAjaxMessage()` |
    `java.util.HashMap<java.lang.String,​java.lang.String>` | `getAttr()` |
    `java.lang.Long` | `getC_id()` |
    `java.util.Collection<java.lang.Long>` | `getC_idsByChildNodeFromNodeById()` |
    `java.lang.Long` | `getC_left()` |
    `java.lang.Long` | `getC_level()` |
    `java.lang.Long` | `getC_parentid()` |
    `java.lang.Long` | `getC_position()` |
    `java.lang.Long` | `getC_right()` |
    `java.lang.String` | `getC_title()` |
    `java.lang.String` | `getC_type()` |
    `java.lang.String` | `getChildcount()` |
    `long` | `getCopy()` |
    `java.lang.String` | `getData()` |
    `long` | `getFixCopyId()` |
    `long` | `getFixCopyPosition()` |
    `long` | `getId()` |
    `long` | `getIdif()` |
    `long` | `getIdifLeft()` |
    `long` | `getIdifRight()` |
    `long` | `getLdif()` |
    `long` | `getMultiCounter()` |
    `TreeBaseEntity` | `getNodeById()` |
    `long` | `getRef()` |
    `long` | `getRightPositionFromNodeByRef()` |
    `java.lang.String` | `getSearchStr()` |
    `long` | `getSpaceOfTargetNode()` |
    `java.lang.String` | `getState()` |
    `long` | `getStatus()` |
    `boolean` | `isCopied()` |
    `void` | `setAjaxMessage​(java.lang.String ajaxMessage)` |
    `void` | `setC_id​(java.lang.Long c_id)` |
    `void` | `setC_idsByChildNodeFromNodeById​(java.util.Collection<java.lang.Long> c_idsByChildNodeFromNodeById)` |
    `void` | `setC_left​(java.lang.Long c_left)` |
    `void` | `setC_level​(java.lang.Long c_level)` |
    `void` | `setC_parentid​(java.lang.Long c_parentid)` |
    `void` | `setC_position​(java.lang.Long c_position)` |
    `void` | `setC_right​(java.lang.Long c_right)` |
    `void` | `setC_title​(java.lang.String c_title)` |
    `void` | `setC_type​(java.lang.String c_type)` |
    `void` | `setChildcount​(java.lang.String childcount)` |
    `void` | `setCopied​(boolean copied)` |
    `void` | `setCopy​(long copy)` |
    `void` | `setData​(java.lang.String data)` |
    `void` | `setFixCopyId​(long fixCopyId)` |
    `void` | `setFixCopyPosition​(long fixCopyPosition)` |
    `void` | `setId​(long id)` |
    `void` | `setIdif​(long idif)` |
    `void` | `setIdifLeft​(long idifLeft)` |
    `void` | `setIdifRight​(long idifRight)` |
    `void` | `setLdif​(long ldif)` |
    `void` | `setMultiCounter​(long multiCounter)` |
    `void` | `setNodeById​(TreeBaseEntity nodeById)` |
    `void` | `setRef​(long ref)` |
    `void` | `setRightPositionFromNodeByRef​(long rightPositionFromNodeByRef)` |
    `void` | `setSearchStr​(java.lang.String searchStr)` |
    `void` | `setSpaceOfTargetNode​(long spaceOfTargetNode)` |
    `void` | `setState​(java.lang.String state)` |
    `void` | `setStatus​(long status)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeBaseEntity

          public TreeBaseEntity()

  - ### Method Detail

    - #### getC_id

          public java.lang.Long getC_id()

    - #### setC_id

          public void setC_id​(java.lang.Long c_id)

    - #### getC_parentid

          public java.lang.Long getC_parentid()

    - #### setC_parentid

          public void setC_parentid​(java.lang.Long c_parentid)

    - #### getC_position

          public java.lang.Long getC_position()

    - #### setC_position

          public void setC_position​(java.lang.Long c_position)

    - #### getC_left

          public java.lang.Long getC_left()

    - #### setC_left

          public void setC_left​(java.lang.Long c_left)

    - #### getC_right

          public java.lang.Long getC_right()

    - #### setC_right

          public void setC_right​(java.lang.Long c_right)

    - #### getC_level

          public java.lang.Long getC_level()

    - #### setC_level

          public void setC_level​(java.lang.Long c_level)

    - #### getC_title

          public java.lang.String getC_title()

    - #### setC_title

          public void setC_title​(java.lang.String c_title)

    - #### getC_type

          public java.lang.String getC_type()

    - #### setC_type

          public void setC_type​(java.lang.String c_type)

    - #### getData

          public java.lang.String getData()

    - #### setData

          public void setData​(java.lang.String data)

    - #### isCopied

          public boolean isCopied()

    - #### setCopied

          public void setCopied​(boolean copied)

    - #### getRef

          public long getRef()

    - #### setRef

          public void setRef​(long ref)

    - #### getCopy

          public long getCopy()

    - #### setCopy

          public void setCopy​(long copy)

    - #### getMultiCounter

          public long getMultiCounter()

    - #### setMultiCounter

          public void setMultiCounter​(long multiCounter)

    - #### getState

          public java.lang.String getState()

    - #### setState

          public void setState​(java.lang.String state)

    - #### getStatus

          public long getStatus()

    - #### setStatus

          public void setStatus​(long status)

    - #### getChildcount

          public java.lang.String getChildcount()

    - #### setChildcount

          public void setChildcount​(java.lang.String childcount)

    - #### getFixCopyId

          public long getFixCopyId()

    - #### setFixCopyId

          public void setFixCopyId​(long fixCopyId)

    - #### getAjaxMessage

          public java.lang.String getAjaxMessage()

    - #### setAjaxMessage

          public void setAjaxMessage​(java.lang.String ajaxMessage)

    - #### getSearchStr

          public java.lang.String getSearchStr()

    - #### setSearchStr

          public void setSearchStr​(java.lang.String searchStr)

    - #### getIdif

          public long getIdif()

    - #### setIdif

          public void setIdif​(long idif)

    - #### getLdif

          public long getLdif()

    - #### setLdif

          public void setLdif​(long ldif)

    - #### getSpaceOfTargetNode

          public long getSpaceOfTargetNode()

    - #### setSpaceOfTargetNode

          public void setSpaceOfTargetNode​(long spaceOfTargetNode)

    - #### getC_idsByChildNodeFromNodeById

          public java.util.Collection<java.lang.Long> getC_idsByChildNodeFromNodeById()

    - #### setC_idsByChildNodeFromNodeById

          public void setC_idsByChildNodeFromNodeById​(java.util.Collection<java.lang.Long> c_idsByChildNodeFromNodeById)

    - #### getFixCopyPosition

          public long getFixCopyPosition()

    - #### setFixCopyPosition

          public void setFixCopyPosition​(long fixCopyPosition)

    - #### getRightPositionFromNodeByRef

          public long getRightPositionFromNodeByRef()

    - #### setRightPositionFromNodeByRef

          public void setRightPositionFromNodeByRef​(long rightPositionFromNodeByRef)

    - #### getNodeById

          public TreeBaseEntity getNodeById()

    - #### setNodeById

          public void setNodeById​(TreeBaseEntity nodeById)

    - #### getIdifLeft

          public long getIdifLeft()

    - #### setIdifLeft

          public void setIdifLeft​(long idifLeft)

    - #### getIdifRight

          public long getIdifRight()

    - #### setIdifRight

          public void setIdifRight​(long idifRight)

    - #### getId

          public long getId()

    - #### setId

          public void setId​(long id)

    - #### getAttr

          public java.util.HashMap<java.lang.String,​java.lang.String> getAttr()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`